import i18next from "i18next";
import LanguageDetector from "i18next-browser-languagedetector";

i18next.use(LanguageDetector).init({
  fallbackLng: "en",
  resources: {
    en: {
      translation: {
        exercises: "Exercises",
        courses: "Courses",
        quiz: "Quiz",
        quizzes: "Quizzes",
        dictionary: "dictionary",
        list: "list",
        syntax: "syntax",
        set: "set",
        function: "function",
        decorator: "decorator",
        advanced: "advanced",
        array: "array",
        scientific: "scientific",
        network: "network",
        file: "file",
        string: "string",
        "input-output": "input-output",
        quality: "quality",
        more: "more",
        "Select your path": "Select your path",
        intro: "introduction",
        intro_intro: "Introduction",
        principles: "Principles",
        "principles-general": "General principles",
        "principles-executing": "Running a python program",
        "principles-object": "Working with objects",
        "principles-starting": "Getting started (1/3)",
        "namespaces-basic": "Getting started (2/3)",
        "namespaces-functions": "Getting started (3/3)",
        types_boolean: "Base types (boolean)",
        types_numerical: "Base types (numerical)",
        sequences: "Sequences",
        loops: "Loops (1/2)",
        iterutils: "Loops (2/2)",
        sequences_strings: "Strings",
        sequences_tuples: "Tuples",
        sequences_lists: "Lists",
        dictionnaire: "Dictionaries",
        sets: "Sets",
        mutables: "References and mutable objects",
        complements: "Advanced function usage",
        imports: "Modules and packages",
        pydoc: "Additional documentation",
        "str-sequence": "Back on sequences",
        "str-objet": "The string object",
        stdio: "Standard Input and Ouput",
        io_files: "Files",
        commandline: "Command line parameters",
        os: "Interfacing with the operating system (os)",
        "os.path": "Interfacing with the operating system (os.path)",
        exceptions: "Exception",
        exceptions_intro: "Exception (2)",
        handling: "Catching exceptions",
        raising: "Raising an exception",
        custom_exceptions: "Custom exceptions",
        pep8: "Coding standards",
        pylint: "Code checking tools",
        unittest: "Unit tests",
        pdb: "The Python debugger",
        re: "Regular Expressions",
        content: "Json",
        shutil: "Shutil",
        glob: "Glob",
        tempfile: "Tempfile",
        urllib: "Urllib",
        socketserver: "Network Servers (socket server)",
        httpserver: "Network Servers (http server)",
        logging: "Logging",
        dbapi: "Databases (dbapi)",
        sqlite3: "Databases (sqlite3)",
        inheritance: "Inheritance",
        py2py3: "Python2/Python3",
        context_managers: "Context managers",
        iterators: "Iterators",
        itertools: "Itertools module",
        generator: "generator",
        generators: "generators",
        decorators: "decorators",
        properties: "Properties",
        processes: "Subprocesses (1/2)",
        subprocess: "Subprocesses (2/2)",
        threading: "Multithread programming (1/5)",
        threading_thread: "Multithread programming (2/5)",
        threading_lock: "Multithread programming (3/5)",
        threading_problems: "Multithread programming (4/5)",
        microthreads: "Multithread programming (5/5)",
        multiprocessing: "Multiprocess programming",
        zmq_intro: "ZMQ",
        profile: "Profiling",
        timeit: "Benchmarking",
        numpy_introduction: "Introduction to NumPy",
        "numpy_ndarray.intro": "Multidimensional arrays (intro)",
        "ndarray.creation": "Multidimensional arrays (creation)",
        "ndarray.features": "Multidimensional arrays (features)",
        "ndarray.indexing": "Multidimensional arrays (indexing)",
        "ndarray.operation": "Multidimensional arrays (operation)",
        usual_methods_functions:
          "Multidimensional arrays (usual methods and functions)",
        numpy_files: "Reading and writing files with numpy",
        vectorized_computing: "Vectorized computations",
        random: "Random numbers",
        matrix: "Matrix",
        masked_array: "Masked Array",
        recarray: "Recarray",
        data_visualization_introduction: "Plotting graphs with Python",
        matplotlib: "Matplotlib",
        seaborn: "Seaborn",
        bokeh: "Bokeh",
        plotly: "Plotly",
        other_traces: "Other graphs",
        pandas_introduction: "Introduction to Pandas",
        series: "Series",
        dataframe: "DataFrame",
        pandas_files: "Reading and writing files",
        tools: "Tools around pandas",
        plotting: "Plotting with pandas",
        scipy_intro: "Introduction to Scipy",
        statistics: "Statistics",
        fft: "Signal processing (1/2)",
        module_signal: "Signal processing (2/2)",
        image_processing: "Image processing",
        geopandas: "GeoPandas",
        gis_tools: "Other tools",
        others: "Other scientific libraries",
        polynomial: "polynomial module",
        "ndarray.attributes": "Attributes of ndarray",
        "ndarray.methods": "Methods of ndarray",
        universal_functions: "Functions on the arrays",
        "data-visualisation": "Data Visualisation",
        "other-scientific-tools": "Other scientific tools",
        stats: "statistics",
        "common-modules": "Common modules",
        multiprocess: "Multiprocess",
        "language-elements": "Language elements",
        object: "object",
        scientific_computing: "scientific computing",
        "exception handling": "Exception handling",
        "Advanced options": "Advanced options",
        Language: "Language",
        "Get selected notebooks": "Get selected notebooks",
        Download: "Download",
      },
    },
    fr: {
      translation: {
        exercises: "Exercices",
        courses: "Cours",
        quiz: "Quiz",
        quizzes: "Quiz",
        dictionary: "dictionnaire",
        list: "liste",
        syntax: "syntaxe",
        set: "ensemble",
        function: "fonction",
        decorator: "décorateur",
        advanced: "avancé",
        array: "tableau",
        scientific: "scientifique",
        network: "reseau",
        file: "fichier",
        string: "chaîne de caractères",
        "input-output": "entrée-sortie",
        quality: "qualité",
        more: "plus",
        "Select your path": "Choisissez votre parcours",
        intro: "introduction",
        intro_intro: "Introduction Générale",
        principles: "principes généraux",
        "namespaces-basic": "Valeurs et références en Python (1/2)",
        "namespaces-functions": "Valeurs et références en Python (2/2)",
        types_boolean: "Types de base (booléen)",
        types_numerical: "Types de base (numerique)",
        sequences: "Séquences",
        loops: "Boucles (1/2)",
        iterutils: "Boucles (2/2)",
        sequences_strings: "Chaînes de caractères",
        sequences_tuples: "Tuples",
        sequences_lists: "Listes",
        dictionnaire: "Dictionnaires",
        sets: "Ensembles",
        mutables: "Références et objets modifiables",
        complements: "Compléments sur les fonctions",
        imports: "Modules et packages",
        pydoc: "Documentation additionnelle",
        "str-sequence": "Les chaînes sont des séquences",
        "str-objet": "Objets chaînes de caractères",
        stdio: "Entrée et sortie standard",
        io_files: "Fichiers",
        commandline: "Paramètres sur la ligne de commande",
        os: "Autres modules fréquemment utilisés (os)",
        "os.path": "Autres modules fréquemment utilisés (os.path)",
        exceptions: "Exceptions",
        exceptions_intro: "Exceptions (2)",
        handling: "Intercepter une exception",
        raising: "Lever une exception",
        custom_exceptions: "Créer ses propres exceptions",
        pep8: "Normes de programmation",
        pylint: "Outils d’analyse de code",
        unittest: "Tests unitaires",
        pdb: "Le débogueur Python",
        re: "Expressions régulières",
        content: "Json",
        shutil: "Shutil",
        glob: "Glob",
        tempfile: "Tempfile",
        urllib: "Urllib",
        socketserver: "Réseau et sockets (1/2)",
        httpserver: "Réseau et sockets (2/2)",
        logging: "Production de journaux (logs)",
        dbapi: "Utilisation de la DB-API",
        sqlite3: "Base de données (sqlite)",
        inheritance: "Mécanisme d’héritage",
        py2py3: "Python2/Python3",
        context_managers: "Les gestionnaires de contexte",
        iterators: "Itérateurs",
        itertools: "Le module Itertools",
        generator: "générateur",
        generators: "générateurs",
        decorators: "décorateurs",
        properties: "Les propriétés",
        parallelism_intro: "Exécuter des tâches en parallèle",
        processes: "Programmation multiprocessus",
        threading: "Programmation multithread (1/5)",
        threading_thread: "Programmation multithread (2/5)",
        threading_lock: "Programmation multithread (3/5)",
        threading_problems: "Programmation multithread (4/5)",
        microthreads: "Programmation multithread (5/5)",
        multiprocessing: "Le module Multiprocessing",
        zmq_intro: "ZMQ",
        profile: "Profiling",
        timeit: "Benchmarking",
        numpy_introduction: "Introduction à NumPy",
        "numpy_ndarray.intro": "Tableaux multidimensionnels (intro)",
        "ndarray.creation": "Tableaux multidimensionnels (création)",
        "ndarray.features": "Tableaux multidimensionnels (Caractéristiques)",
        "ndarray.indexing": "Tableaux multidimensionnels (Indexation)",
        "ndarray.operation":
          "Tableaux multidimensionnels (Opérateurs standards)",
        usual_methods_functions:
          "Tableaux multidimensionnels (functions et méthodes))",
        numpy_files: "Lecture et écriture de fichiers",
        vectorized_computing: "Calculs vectorisés",
        random: "Nombres aléatoires",
        matrix: "Matrices",
        masked_array: "Les tableaux masked array",
        recarray: "Les tableaux rec array",
        data_visualization_introduction: "Tracer des graphiques avec Python",
        matplotlib: "Matplotlib",
        seaborn: "Seaborn",
        bokeh: "Bokeh",
        plotly: "Plotly",
        other_traces: "Autres types de graphiques",
        pandas_introduction: "Introduction à Pandas",
        series: "Series",
        dataframe: "DataFrame",
        pandas_files: "Lecture et écriture de fichiers",
        tools: "Outils autour de pandas",
        plotting: "Des courbes avec pandas",
        scipy_intro: "Introduction à Scipy",
        statistics: "Statistiques",
        fft: "Traitement du signal (1/2)",
        module_signal: "Traitement du signal (2/2)",
        image_processing: "Traitement d’images",
        geopandas: "Survol de GeoPandas",
        gis_tools: "Autres Outils",
        others: "Autres bibliothèques scientifiques",
        polynomial: "le module polynomial",
        "ndarray.attributes": "Attributs des ndarray",
        "ndarray.methods": "Méthodes des ndarray",
        universal_functions: "Fontions sur les ndarray",
        "data-visualisation": "Visualisation de données",
        "other-scientific-tools": "Autres outils scientifiques",
        stats: "statistiques",
        "common-modules": "Modules communs",
        multiprocess: "Multiprocessus",
        "language-elements": "Syntaxe du langage",
        object: "objet",
        scientific_computing: "calcul scientifique",
        "exception handling": "Gestion des exceptions",
        "Advanced options": "Options avancées",
        Language: "Langue",
        "Get selected notebooks": "Récupérer les notebooks sélectionnés",
        Download: "Télécharger",
        "Welcome To": "Bienvenue sur",
        "This tour will point out some of the main UI components of the platform.":
          "Cette visite explicitera certains des principaux composants de l'interface utilisateur de la plate-forme.",
        "Main area": "Zone principale",
        "The launcher panel allows you to quickly start a terminal, a python interpreter or to create a file (notebook, python file or text file) to take notes.":
          "Le panneau de lancement permet de démarrer rapidement un terminal, un interpréteur python ou de créer un fichier (notebook, fichier python ou fichier texte) pour prendre des notes.",
        "Exercices notebooks will appear in this area.":
          "Les exercices apparaîtront dans cette zone.",
        "File Browser": "Navigateur de fichiers",
        "The file browser enable you to work with files and directories on your system. This includes opening, creating, deleting, renaming, downloading, copying, and sharing files and directories.":
          "Le navigateur de fichiers vous permet de travailler avec des fichiers et des répertoires sur votre système. Cela inclut l'ouverture, la création, la suppression, le renommage, le téléchargement, la copie et le partage de fichiers et de répertoires.",
        "'/home/jovyan/data' is the only directory that is backed up.":
          "'/home/jovyan/data' est le seul répertoire sauvegardé.",
        "If you want to keep files, be sure to store them in this directory.":
          "Si vous souhaitez conserver des fichiers, veillez à les stocker dans ce répertoire.",
        "Training Menu": "Menu de Formation",
        "This menu contains links to the available exercises. Choose the one that suits you.":
          "Ce menu contient des liens vers les exercices disponibles. Choisissez celui qui vous convient.",
        "Click here to (re)-open the training menu.":
          "Cliquez ici pour (ré)ouvrir le menu des formations.",
        Search: "Recherche",
        "You can filter the exercises by name or tag with the search field.":
          "Vous pouvez filtrer les exercices par nom ou par tag avec le champ de recherche.",
        "Advanced Options": "Options Avancées",
        "You can access to the advanced options by clicking here.":
          "Vous pouvez accéder aux options avancées en cliquant ici.",
        "Choose your language.": "Choisissez votre langage",
        "Choose your training path": "Choisissez votre parcours",
        "Get the selected notebooks": "Récupérez les notebooks sélectionnés",
        Exercises: "Exercices",
        Exercise: "Exercice",
        Progress: "Progression",
        Clear: "Enlever les indicateurs",
        "Mark as done": "Marquer l'exercice comme fait",
        "Help wanted": "Demander de l'aide",
        "Click on an exercise to open it.":
          "Cliquez sur un exercice pour l'ouvrir.",
        "The exercise opens in the main area and you can start reading the statement.":
          "L'exercice s'ouvre dans la zone principale et vous pouvez commencer à lire l'énoncé.",
        "Your code": "Votre Code",
        "This is a cell, this is where you will write your code. A cell has an input and an output area.":
          "Ceci est une cellule, c'est là que vous allez écrire votre code. Une cellule a une zone d'entrée et une zone de sortie.",
        "You can execute the code in the cell with 'Ctrl-Return'. Printed expressions will be displayed below the text field.":
          "Vous pouvez exécuter votre code avec 'Ctrl-Return'. Les expressions seront affichées sous le champ de texte.",
        "If the last statement in the cell is an expression, its value will be considered as the cell's output.":
          "Si la dernière instruction de la cellule est une expression, sa valeur sera considérée comme la sortie de la cellule.",
        "Unit tests": "Tests unitaires",
        "If this exercise has units tests, this button how the unit tests that will test your code.":
          "Si cet exercice contient des tests unitaires, ce bouton affiche les tests unitaires qui testeront votre code.",
        "Run unit tests": "Exécution des tests",
        "This button will execute the unit tests.":
          "Ce bouton exécute les tests unitaires.",
        "Don't forget to execute your code before running the tests.":
          "N'oubliez pas d'exécuter votre code avant de lancer les tests.",
        "This button display the proposed solution.":
          "Ce bouton affiche la solution proposée.",
        "You can inform the trainer of your progress by clicking on this button":
          "Vous pouvez informer le formateur de votre progression en cliquant sur ce bouton",
        "Mark this exercise as done": "Signaler cet exercice comme fait",
        "Ask the trainer for help": "Demander de l'aide au formateur",
        "Have a Good Training": "Bonne Formation",
        "And don't forget to stop your App at the end of the session.":
          "Et n'oubliez pas d'arrêter votre App à la fin de la session.",
      },
    },
  },
});

export default i18next;
